## pinch pinch |

## Properties

gdouble | intensity | Read / Write

## Types and Values

struct | GstPinch

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstPinch

## Description

Pinch applies a 'pinch' geometric transform to the image.

#### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! pinch ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstPinch

    struct GstPinch;

## Property Details

### The `“intensity”` property

      “intensity”                gdouble

intensity of the pinch effect.

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0.5

## See Also

geometrictransform